<?php
/**
 * Plugin Name: Clonet Redirect
 * Description: A custom plugin for redirecting based on short URLs.
 * Version: 1.0.0
 * Author: Jan Ondruch
 * Author URI: https://www.clonet.cz
 */

// Přidání akce pro inicializaci pluginu
add_action('init', 'custom_redirect_init');

function custom_redirect_init() {
    // Získání aktuální URL
    $current_url = $_SERVER['REQUEST_URI'];

    // Regulární výraz pro zachycení čísla z URL - různé druhy adres 
    // Zde můžete změnit 'clanek' a další tyto výrazy na cokoliv jiného, např. 'blog' nebo 'text'. Pak budete např. volat článek ID 523 zkrácenou adresou https://domena.cz/text/523   
    $patterns = array(
        '/\/clanek\/([0-9]+)\/?/',
        '/\/rebus\/([0-9]+)\/?/',
        '/\/kviz\/([0-9]+)\/?/',
        '/\/test\/([0-9]+)\/?/',
        '/\/hadanka\/([0-9]+)\/?/',
        '/\/r\/([0-9]+)\/?/'
    );

    // Projděte všechny výrazy a zkontrolujte, zda se URL shoduje s některým z nich
    foreach ($patterns as $pattern) {
        if (preg_match($pattern, $current_url, $matches)) {
            $post_id = $matches[1];
            $post = get_post($post_id);

            if ($post) {
                // Přesměrování na URL příspěvku
                wp_redirect(get_permalink($post_id));
                exit;
            }
        }
    }
}
?>
